//
//  ModalBackgroundComponent.swift
//  GoldWars
//
//  Created by Niko Jochim on 01.05.20.
//  Copyright © 2020 SP2. All rights reserved.
//

import GameplayKit
import SpriteKit

class ModalBackgroundComponent: GKComponent {
	let spriteNode: SKSpriteNode

	 init(anchorPoint: CGPoint) {
		let texture = SKTexture(imageNamed:"ModalBackground")
		spriteNode = SKSpriteNode(texture: texture, size: texture.size())
		spriteNode.setScale(2)
		spriteNode.position = anchorPoint
		super.init()
	}

	required init?(coder aDecoder: NSCoder) {
	   fatalError("init(coder:) has not been implemented")
	 }
}
